FROM alpine:3.21.2

LABEL org.opencontainers.image.authors="alier@student.42mulhouse.fr"

RUN apk add vsftpd

#HEALTHCHECK --start-period=5s \
#    CMD cgi-fcgi -bind -connect 127.0.0.1:9001 || exit 1

COPY conf/vsftpd.conf /etc/vsftpd/vsftpd.conf
COPY tools/setup_vsftpd.sh /setup_vsftpd.sh

EXPOSE 21

ENTRYPOINT ["sh", "setup_vsftpd.sh"]
